#include "global_events.h"
#include "options.h" // Para Options, options, OptionsGame, OptionsAudio
#include "mouse.h"

namespace globalEvents
{
    // Comprueba los eventos que se pueden producir en cualquier sección del juego
    void check(const SDL_Event &event)
    {
        // Evento de salida de la aplicación
        if (event.type == SDL_QUIT)
        {
            options.section.section = Section::QUIT;
            return;
        }

        if (event.type == SDL_RENDER_DEVICE_RESET || event.type == SDL_RENDER_TARGETS_RESET)
        {
            // reLoadTextures();
        }

        Mouse::handleEvent(event);
    }
}